# class Performance

#### package js.html

Available on HTML5

The `Performance` interface represents timing-related performance information for the given page.

Documentation Performance by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Performance

### Variables

###

`read onlynavigation:PerformanceNavigation`

Is a `PerformanceNavigation` object representing the type of navigation that occurs in the given browsing context, like the amount of redirections needed to fetch the resource.

###

`read onlytiming:PerformanceTiming`

Is a `PerformanceTiming` object containing latency-related performance information.

### Methods

###

`now ():Float`

Returns a `DOMHighResTimeStamp` representing the amount of milliseconds elapsed since a reference instant.